Summary:	Utilities for the Xfce Desktop Environment
Name:		xfce-utils
Version:	4.8.3
Release:	%mkrel 1
License:	GPLv2+
URL:		http://www.xfce.org
Group:		Graphical desktop/Xfce
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
Source2:	06Xfce
Source3:	xfce4.sh
Source4:	xfce4.pam
Patch1:		01_xflock4-test-running-screensaver.patch
Patch2: 	%{name}-4.5.91-xfmountdev4-use-thunar.patch
Patch3:         xfce-utils-4.7.1-xinitrc.patch
BuildRequires:	chrpath
BuildRequires:	dbus-glib-devel
BuildRequires:	%{_lib}xfcegui4-devel
Requires:	desktop-common-data
Requires:	exo
Requires:	dbus-x11
Requires:	xinit
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  	%name < %version
Requires:	glibc >= 2.12.1
Requires:	%{_lib}stdc++6 >= 4.5.2


%description
The utilities and scripts provides an about dialog for
Xfce 4, an application launcher, and several useful
scripts that are also used by other Xfce components such
as the panel and the desktop menu.

#german
%description -l de
Die Dienstprogramme und Skripts bietet über ein Dialog zur 
Xfce 4, ein Application Launcher, und einige nützliche 
Skripte, die auch von anderen Xfce-Komponenten verwendet werden wie
, die das Panel und die Desktop-Menü.

#french
%description -l fr
Les utilitaires et des scripts fournit un dialogue A propos pour 
Xfce 4, un lanceur d'application, et plusieurs utiles 
scripts qui sont également utilisés par d'autres composants tels Xfce 
que le panneau et le menu du bureau.

#spanish
%description -l es
Las utilidades y scripts proporciona un cuadro de diálogo Acerca de
Xfce 4, un lanzador de aplicaciones, y varios útiles 
secuencias de comandos que también son utilizados por otros componentes como Xfce 
como el panel y el menú de escritorio.

#polish
%description -l pl
The utilities and scripts provides an about dialog for
Xfce 4, an application launcher, and several useful
scripts that are also used by other Xfce components such
as the panel and the desktop menu.

#serbian
%description -l sr
Услужни и скрипте пружа о дијалогу за 
Ксфце 4, апликације бацач и неколико корисних 
скрипте које се користе и друге компоненте што Ксфце 
као панела и радне површине мени.

#dutch
%description -l nl
De nutsbedrijven en scripts biedt een over dialoogvenster 
Xfce 4, een toepassing draagraket, en een aantal nuttige 
scripts die ook worden gebruikt door andere componenten zoals Xfce 
als het panel en het bureaublad menu.

%package doc
Summary: 	Documentation for openbox
Group: 		Books/Computer books
Requires: 	%{name}

%description doc
Documentation for %{name}



%prep
%setup -q
#%patch1 -p1
%patch2 -p1
%patch3 -p1

%build

./autogen.sh --prefix=/usr --enable-maintainer-mode && make clean && make 

%configure2_5x \
	--enable-dbus \
	--sysconfdir=%{_sysconfdir}/X11 \
	--with-vendor-info=PCLinuxOS \
	--disable-static \
	--with-browser=firefox \
	--with-terminal=Terminal

%make

%install
rm -rf %{buildroot}
%makeinstall_std


# session
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/wmsession.d

# env
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/profile.d

# pam
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/pam.d/xfce4

rm -rf %{buildroot}/%{_datadir}/applications/xfhelp4.desktop

%post
%make_session
if [ "$1" = "2" -a -r /etc/sysconfig/desktop ]; then
  sed -i -e "s|^DESKTOP=Xfce4$|DESKTOP=xfce4|g" /etc/sysconfig/desktop
fi

%postun
%make_session


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/06Xfce
%attr(755,root,root) %config(noreplace) %{_sysconfdir}/profile.d/xfce4.sh
%config(noreplace) %{_sysconfdir}/pam.d/xfce4
%{_bindir}/*
%{_libdir}/xfce4/xfconf-migration/xfconf-migration-4.6.pl
%{_datadir}/icons/*
%{_datadir}/dbus-1/services/org.xfce.RunDialog.service
%exclude %{_datadir}/xsessions/xfce.desktop
%{_datadir}/applications/*
%{_datadir}/locale
%{_sysconfdir}/X11/xdg/autostart/xfconf-migration-4.6.desktop
%{_sysconfdir}/X11/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/X11/xdg/xfce4/xinitrc


%files doc
%defattr(-,root,root)
%doc README TODO AUTHORS
%{_datadir}/doc


%changelog
* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 4.8.3-1pclos2012
- update

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 4.8.1-1pclos2011
- 4.8.1

* Wed Jan 26 2011 Sproggy <desproggster at gmail.com> 4.8.0-1pclos2011
- update for xfce4.8

* Mon Nov 08 2010 Sproggy <desproggster at gmail.com> 4.7.1-2pclos2010
- 4.7.1
